import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bttsnd{
    constructor () {
        this.data = {
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
							},
							be1:{
								pts:new Pts().data,
							},
						},
						mtabut: new Pub().data.Mtabut,
						setmod: new Pub().data.Setmod,
						liaall: new Pub().data.Liaall,
						bttp:{
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ledget.sdamod.dadsnd
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.bttp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							futhndflg:"",			//  Internal Discrepancies		.bttp.futhndflg
							cre752flg:"",			//  Create 752		.bttp.cre752flg
							furide:"",			//  Further Identification		.bttp.furide
							docgrdmbe2:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
							},
							docgrdmbe1:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
							},
						},
						btdgrp:{
							rec:{
								ownref:"",			//  Doc. Set Reference		.btdgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.btdgrp.rec.nam
								doctypcod:"",			//  Document Type		.btdgrp.rec.doctypcod
								matdat:"",			//  Maturity Date		.btdgrp.rec.matdat
								predat:"",			//  Presentation Date		.btdgrp.rec.predat
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
								rcvdatbe1:"",			//  Rec. Date 1st Ben.		.btdgrp.rec.rcvdatbe1
								rcvdatbe2:"",			//  Rec. Date 2nd Ben.		.btdgrp.rec.rcvdatbe2
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								docprbrol:"",			//  Presented by		.btdgrp.rec.docprbrol
								payrol:"",			//  Payer		.btdgrp.rec.payrol
								lescom:"",			//  Less comm.		.btdgrp.rec.lescom
								approvcod:"",			//  Documents on Approval Basis		.btdgrp.rec.approvcod
								disdat:"",			//  Date of Advise		.btdgrp.rec.disdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.btdgrp.cbs.max.cur
									amt:"",			//  Document Amount		.btdgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.btdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.btdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prb.namelc
								adrelc:"",			//  地址		.btdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prb.dbfadrblkcn
							},
							blk:{
								be1ins:"",			//  Instructions 1st Beneficiary		.btdgrp.blk.be1ins
								be2ins:"",			//  Instructions 2nd Beneficiary		.btdgrp.blk.be2ins
								benref:"",			//  New Benificiary Ref.		.btdgrp.blk.benref
								intdis:"",			//  Internal Discrepancies		.btdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.btdgrp.blk.comcon
								setinsbt:"",			//  Settlement Instructions transaction field		.btdgrp.blk.setinsbt
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.oth.namelc
								adrelc:"",			//  地址		.btdgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.oth.dbfadrblkcn
							},
						},
						btdsnd:{
							snd732:"",			//  Create MT 732		.btdsnd.snd732
						},
						rmbclmnow:"",			//  Claim Reimbursement now		.rmbclmnow
						rmbclmlate:"",			//  Claim Reimbursement late		.rmbclmlate
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
							},
						},
						pageId: ""			// ctx的key
				}
    }
}